<?php

namespace App\Http\Controllers;

use App\Http\Requests\CategoryRequest;
use App\Models\Category;
use GuzzleHttp\Psr7\Message;
use Illuminate\Http\Request;
use Illuminate\Routing\Route;

class CategoryController extends Controller
{
    function CategoryList()
    {
        $vehicleData = Category::orderby('created_at', 'desc')->get();
        return view('Category.CategoryList', compact('vehicleData'));
    }

    function CategoryForm()
    {
        // return "hello";
        return view('Category.CategoryForm');
    }
    function CategoryAdd(CategoryRequest $request)
    {
        $request->validate([
            'title' => 'required|unique:categories,title|regex:/^[a-zA-Z0-9 ]+$/',
        ]);
        $slug = str_replace(' ', '-', $request->title);
        $request['slug'] = strtolower($slug);
        Category::create($this->attributes($request));
        return redirect(route('Category.list'))->with('message', 'Category Added Successfully');
    }

    function deleteCategory(Category $Category)
    {
        $Category->delete();
        return redirect(Route('Category.list'))->with('message', 'Category Deleted successfully');
    }
    function categoryEdit(Category $Category)
    {
        return view('Category.CategoryForm', compact('Category'));
    }

    function updateCategory(CategoryRequest $request, Category $Category)
    {
        $request->validate([
            'title' => 'required|regex:/^[a-zA-Z0-9 ]+$/|unique:categories,title,' . $Category->id,
        ]);
        $slug = str_replace(' ', '-', $request->title);
        $request['slug'] = strtolower($slug);
        $Category->update($this->attributes($request));
        return redirect(Route('Category.list'))->with('message', 'Category updated successfully');
    }


    private function attributes($request)
    {
        $data = $request->only([
            'title',
            'slug',
        ]);
        return $data;
    }
}
