<?php

namespace App\Http\Controllers;

use App\Models\Rating;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Routing\Route;

class CustomerController extends Controller
{
    function getCustomer()
    {
        $customerData = User::where('user_role', 'customer')->where('user_type', "user")->orderby('created_at', 'desc')->get();
        return view('Customers.CustomerList', compact('customerData'));
    }
    function deletCustomer(User $customer)
    {
        $customer->delete();
        return redirect(Route('customer.list'))->with("message", "Customer Deleted Successfully");
    }

    function customerinfo($customer)
    {
        // return Rating::where('user_id', $customer)->get();
        $customerData = User::with(
            'ratings',
            'userPreference',
            'card',
            'devices',
            'appointment.category',
            'userMedia',
            //'userVehicle',
            //'services',
            //'bookings',
            'wallet',
        )->where('id', $customer)->get();
        // $user_rating = User::withCount(['rating as average_rating' => function ($query) {
        //     $query->select(\DB::raw('coalesce(avg(rating),0)'));
        // }])->where('id', $customer)->first();

        // return  $customerData;
        // return $userData;
        return view('Customers.CustomerInfo', compact('customerData'));
    }
}
