<?php

namespace App\Http\Controllers;

use App\Http\Requests\DiscountRequest;
use App\Models\Discount;
use Illuminate\Http\Request;
use League\CommonMark\Extension\Attributes\Node\Attributes;

class DiscountsController extends Controller
{

    function DiscountsForm()
    {
        return view('Discounts.DiscountsForm');
    }

    function getDiscountsList()
    {
        $discountList = Discount::orderby('created_at', 'desc')->get();
        return view('Discounts.DiscountList', compact('discountList'));
    }
    function createDiscounts(DiscountRequest $request)
    {
        // return $request;
        Discount::create($this->attributes($request));
        return redirect(route('Discounts.list'))->with('message', 'Add Discount Successfully');
    }
    function editDiscounts(Discount $Discounts)
    {
        // return $Discounts;
        return view('Discounts.DiscountsForm', compact('Discounts'));
    }

    function updateDiscounts(DiscountRequest $request, Discount $Discounts)
    {
        $Discounts->update($this->attributes($request));
        return redirect(route('Discounts.list'))->with('message', 'Update Discount Successfully');
    }
    function deleteDiscounts(Request $request, Discount $Discounts)
    {
        // return $Discounts;
        $Discounts->delete();
        return redirect(route('Discounts.list'))->with('message', 'Delete Discount Successfully');
    }
    private function attributes($request)
    {
        $data = $request->only([
            'name',
            'description',
            'value',
            'operation_type',

        ]);
        return $data;
    }
}
