<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Activity;
use App\Models\UserVehicle;
use Illuminate\Http\Request;
use Illuminate\Routing\Route;
use App\Models\VehicleCategory;
use Illuminate\Validation\Rule;

class NannyController extends Controller
{
    function getNannies()
    {
        $nannyData = User::where('user_role', 'nanny')->where('user_type', "user")->orderby('created_at', 'desc')->get();
        return view('Nannies.NannyList', compact('nannyData'));
    }
    function nannyinfo($nanny, $isView = 0, $type = '')
    {
        if ($isView == 1) {
            Activity::where('actor_id', $nanny)->where('type', $type)
                ->update([
                    'is_viewed' => 1,
                ]);
        }
        $nannyData = User::with(
            'card',
            'schedule',
            'userMedia',
            'categories',
            'preferences',
            'Nannyappointment.category',
            'wallet.transactions',
        )->where('id', $nanny)->get();
        // $VCdata = VehicleCategory::get();
        // $user_rating = User::withCount(['rating as average_rating' => function ($query) {
        //     $query->select(\DB::raw('coalesce(avg(rating),0)'));
        // }])->where('id', $nanny)->first();
        return view('Nannies.NannyInfo', compact('nannyData'));
    }
    function deleteNanny(user $nannies)
    {
        $nannies->delete();
        return redirect(Route('nannies.list'))->with("message", "Caregiver Deleted successfully");
    }

    function updatNannyVehicle(Request $request)
    {
        user::where('id', $request->user_id)->update([
            'vehicle_category_id' => $request->vehicle_id
        ]);
        UserVehicle::where('user_id', $request->user_id)->update([
            'vehicle_category_id' => $request->vehicle_id
        ]);
        return response('Vehicle updated', 200);
    }

    function editNanny(user $nannies)
    {
        return view('Nannies.Nannyupdate', compact('nannies'));
    }
    function updateuser(Request $req, user $nannies)
    {
        $req->validate([
            'full_name' => 'required',
            'phone' => 'required',
            'email' => [
                'required',
                'email',
                Rule::unique('users')->ignore($nannies->id)
            ]
        ]);
        // $up['first_name']   = $req->first_name;
        // $up['lastt_name']   = $req->last_name;
        $up['full_name']    = $req->full_name;
        $up['phone']        = $req->phone;
        $up['email']        = $req->email;
        // $up['dob']          = $req->dob;

        if (!empty($req->password)) {
            $req->validate(
                [
                    'password' => 'min:8|confirmed|regex:/^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9]).{6,}$/',
                    'password_confirmation' => 'required_with:password',
                ],
                [
                    'password.regex' => "<div class='requirements'>
                    <ul>
                        <li id='length' class='red'>Include at least 8 digits</li>
                        <li id='uppercase' class='red'>Include at least one upper case characters (A-Z)</li>
                        <li id='lowercase' class='red'>Include at least one lower case character (a-z)</li>
                        <li id='numbers' class='red'>Include a number (0-9)</li>
                    </ul>
                </div>"
                ]
            );
            $up['password'] = bcrypt($req->password);
        }


        $nannies->update($up);
        return redirect(Route('nannies.list'))->with("message", "Caregiver updated suceesfully");
    }
}
