<?php

namespace App\Http\Controllers;

use App\Http\Requests\TaxAndChargRequest;
use App\Models\TaxAndCharge;
use Illuminate\Http\Request;

class TaxAndChargesController extends Controller
{
    function getTaxChargesList()
    {
        // return "jdjjd";
        $TaxData = TaxAndCharge::orderby('created_at', 'desc')->get();
        return view('TaxAndCharges.TaxAndChargesList', compact('TaxData'));
    }

    function TaxChargesCreateForm()
    {
        return view('TaxAndCharges.TaxAndChargesCreate');
    }
    function createTaxCharges(TaxAndChargRequest $request)
    {
        TaxAndCharge::create($this->attributes($request));
        return  redirect(route('tax&charges.list'))->with('message', 'Add Tax & Charges Successfully');
    }
    function editTaxCharges(TaxAndCharge $taxCharges)
    {
        $data = $taxCharges;
        return view('TaxAndCharges.TaxAndChargesCreate', compact('data'));
    }
    function updateTaxCharges(TaxAndChargRequest $request, TaxAndCharge $taxCharges)
    {
        // return $request;
        $taxCharges->update($this->attributes($request));
        return  redirect(route('tax&charges.list'))->with('message', 'Update Tax & Charges Successfully');
    }
    function deleteTaxCharges(TaxAndCharge $taxCharges)
    {
        // return $taxCharges;
        $taxCharges->delete();
        return  redirect(route('tax&charges.list'))->with('message', 'Delete Tax & Charges Successfully');
    }

    private function attributes($request)
    {
        $data =  $request->only([
            'name',
            'description',
            'value',
            'operation_type',
            'category',
            'charge_type',
            'charged_for',
            'periority',
        ]);
        return $data;
    }
}
