<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ContentRequest extends FormRequest
{
    private $strMimes = [
        'application/json' => 'json',
        'application/msword' => 'doc',
        'application/pdf' => 'pdf',
        'application/vnd.ms-excel' => 'xls',
        'application/vnd.ms-powerpoint' => 'ppt',
        'application/vnd.openxmlformats-officedocument.presentationml.presentation' => 'pptx',
        'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' => 'xlsx',
        'application/vnd.openxmlformats-officedocument.wordprocessingml.document' => 'docx',
        // 'application/x-7z-compressed' => '7z',
        // 'application/x-rar-compressed' => 'rar',
        // 'application/x-rar' => 'rar',
        // 'application/zip' => 'zip',
        'application/x-sql' => 'sql',
        'application/xml' => 'xml',
        'audio/mpeg' => 'mpga',
        'audio/mp4' => 'mp4a',
        'audio/basic' => 'au',
        'audio/ogg' => 'oga',
        'audio/webm' => 'weba',
        'audio/x-mpegurl' => 'm3u',
        'audio/x-wav' => 'wav',
        'image/bmp' => 'bmp',
        'image/x-ms-bmp' => 'bmp',
        'image/gif' => 'gif',
        'image/jpeg' => 'jpeg',
        'image/png' => 'png',
        'text/plain' => 'txt',
        'video/3gpp' => '3gp',
        'video/mp4' => 'mp4',
        'video/mpeg' => 'mpeg',
        'video/webm' => 'webm',
        'video/x-flv' => 'flv',
        'video/x-matroska' => 'mkv',
        'video/x-msvideo' => 'avi',
    ];
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $validations = [
            'name'       => 'required',
            // 'type'       => 'required',
            'description' => 'required',
            'media'      => 'mimes:' . implode(",", array_values($this->strMimes)),
        ];
        return $validations;
    }
}
