<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Activity extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id',
        'user_type',
        'title',
        'body',
        'object_id',
        'object_type',
        'actor_id',
        'type',
        'object',
        'is_viewed',
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'actor_id');
    }

    public function actor()
    {
        return $this->belongsTo(User::class, 'actor_id');
    }
}
