<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TaxAndCharge extends Model
{
    use HasFactory;
    protected $fillable =
    [
        'name',
        'description',
        'value',
        'operation_type',
        'category',
        'charge_type',
        'charged_for',
        'periority',
        'deleted_at',
        'created_at',
        'updated_at',
    ];


    /**
     * category replace _ with space and make first letter capital
     *
     * @return \Illuminate\Database\Eloquent\Casts\Attribute
     */

    public function getCategoryAttribute($value)
    {
        return ucwords(str_replace('_', ' ', $value));
    }

    public function getNameAttribute($value)
    {
        return ucfirst($value);
    }

    public function getDescriptionAttribute($value)
    {
        return ucfirst($value);
    }
}
