<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('full_name')->nullable();
            $table->string('email')->unique();
            $table->string('verification_code')->nullable();
            $table->string('expired_at')->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('social_id')->nullable();
            $table->string('provider')->nullable();
            $table->string('phone')->nullable();
            $table->string('phone_verification_code')->nullable(true);
            $table->timestamp('phone_verified_at')->nullable();
            $table->string('password');
            $table->string('forgot_password_code')->nullable();
            $table->string('gender')->nullable();
            $table->string('age')->nullable();
            $table->string('profile_image')->nullable();
            $table->text('family_details')->nullable();
            $table->text('pet_details')->nullable();
            $table->string('ethnicity')->nullable();
            $table->string('language')->nullable();
            $table->text('biography')->nullable();
            $table->string('qualification')->nullable();
            $table->string('experiences')->nullable();
            $table->string('customer_stripe_id')->nullable();
            $table->enum('user_type', ['user','admin'])->default('user');
            $table->enum('user_role', ['customer', 'nanny'])->default('customer');
            $table->boolean('is_online')->default(false);
            $table->string('latitude')->nullable();
            $table->string('longitude')->nullable();
            $table->boolean('is_approved')->default(0);
            $table->double('service_charge')->default(0);
            $table->string('referral_code')->nullable();
            $table->string('referred_by')->nullable();
            $table->boolean('referred_paid')->default(true);
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
