<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tax_and_charges', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('description')->nullable();
            $table->string('value');
            $table->enum('operation_type', ['amount', 'percent']);
            $table->enum('category', [
                'tax',
                'miscellaneous'
            ]);
            $table->enum('charge_type', ['tax', 'charge','fee','penalty']);
            $table->enum('charged_for', ['customer', 'nanny']);
            $table->enum('periority', ['optional', 'mandatory']);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tax_and_charges');
    }
};
