@extends('layouts.master')
@section('contain')
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Appointment Details</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    {{-- <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li> --}}
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>

                    {{-- </ol> --}}
                    {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    @foreach ($bookingData as $booking)
        <div class="row" style="height:auto;font-size: smaller;">
            <div class="col-lg-8" style="height:auto">
                <div class="card" style="height:100%">
                    <div class="card-body">
                        <h4 class="card-success text-white" style="    padding:5px;">Appointment</h4>
                        <div class="table-responsive">
                            <table class="table bg-fixed">
                                <tbody>
                                    <tr>
                                        <td>Job Title</td>
                                        <td class="text-success">{{ ucwords(strtolower($booking->job_title ?? '-')) }}</td>
                                        <td>Booking Type</td>
                                        <td class="text-success">{{ $booking->booking_type ?? '-' }}
                                        </td>
                                        <td>latitude</td>
                                        <td class="text-success">{{ $booking->latitude ?? '-' }}</td>
                                        <td>longitude</td>
                                        <td class="text-success">{{ $booking->longitude ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>Rate Per Hour</td>
                                        <td class="text-success">{{ $booking->rate_per_hour ?? '-' }}</td>
                                        <td>Working Hours</td>
                                        <td class="text-success">{{ $booking->working_hours ?? '-' }}</td>
                                        <td>Start Date</td>
                                        <td class="text-success">{{ $booking->start_date ?? '-' }}</td>
                                        <td>End Date</td>
                                        <td class="text-success">{{ $booking->end_date ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        <td>Start Time</td>
                                        <td class="text-success">{{ $booking->start_time ?? '-' }}</td>
                                        <td>End Time</td>
                                        <td class="text-success">{{ $booking->end_time ?? '-' }}</td>
                                        <td>Pay Range</td>
                                        <td class="text-success">{{ $booking->pay_range ?? '-' }}</td>
                                        <td>Duration</td>
                                        <td class="text-success">{{ $booking->duration ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                        {{-- <td>Preference</td>
                                        <td class="text-success">{{ $booking->preferences??'-'}}</td> --}}
                                        <td>status</td>
                                        <td class="text-success">{{ $booking->service_status ?? '-' }}</td>
                                        <td>Cancel Time</td>
                                        <td class="text-success">{{ $booking->appointment_cancel_time ?? '-' }}</td>
                                        <td>Category</td>
                                        <td class="text-success">{{ $booking->category->title ?? '-' }}</td>
                                        <td>Pay Type</td>
                                        <td class="text-success">{{ $booking->pay_type ?? '-' }}</td>
                                    </tr>
                                    <tr>
                                    <tr>
                                        <td>Ethnicity</td>
                                        @if ($booking->service_provider)
                                            <td class="text-success">{{ $booking->service_provider->ethnicity ?? '-' }}
                                            </td>
                                        @else
                                            <td>-</td>
                                        @endif
                                        <td>Language</td>
                                        <td class="text-success" style="font-size: smaller;">
                                            @if ($booking->service_provider)
                                                @php
                                                    $languages = explode(',', $booking->service_provider->language);
                                                    $languageString = implode(', ', $languages);
                                                    echo $languageString;
                                                @endphp
                                            @else
                                                -
                                            @endif
                                        </td>
                                        <td></td>
                                        <td class="text-success"></td>
                                        <td></td>
                                        <td class="text-success"></td>
                                    </tr>
                                    <tr>
                                        @if ($booking->booking_type == 'job')
                                            <td colspan="">Description</td>
                                            <td class="text-success" colspan="7">{{ $booking->description ?? '-' }}</td>
                                        {{-- @else
                                            <td colspan="4"></td>
                                            <td colspan="4"></td> --}}
                                        @endif
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    @if ($booking->appointmentextend)
                        <div class="card-body">
                            <h4 class="card-warning text-white" style="    padding:5px;">extend Appointment</h4>
                            <div class="table-responsive">
                                <table class="table bg-fixed">
                                    <tbody>
                                        <tr>
                                            <td>Job Title</td>
                                            <td class="text-success">{{ $booking->appointmentextend->job_title ?? '-' }}
                                            </td>
                                            <td>Booking Type</td>
                                            <td class="text-success">{{ $booking->appointmentextend->booking_type ?? '-' }}
                                            </td>
                                            <td>latitude</td>
                                            <td class="text-success">{{ $booking->appointmentextend->latitude ?? '-' }}
                                            </td>
                                            <td>longitude</td>
                                            <td class="text-success">{{ $booking->appointmentextend->longitude ?? '-' }}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Rate Per Hour</td>
                                            <td class="text-success">
                                                {{ $booking->appointmentextend->rate_per_hour ?? '-' }}
                                            </td>
                                            <td>Working Hours</td>
                                            <td class="text-success">
                                                {{ $booking->appointmentextend->working_hours ?? '-' }}
                                            </td>
                                            <td>Start Date</td>
                                            <td class="text-success">{{ $booking->appointmentextend->start_date ?? '-' }}
                                            </td>
                                            <td>End Date</td>
                                            <td class="text-success">{{ $booking->appointmentextend->end_date ?? '-' }}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Start Time</td>
                                            <td class="text-success">{{ $booking->appointmentextend->start_time ?? '-' }}
                                            </td>
                                            <td>End Time</td>
                                            <td class="text-success">{{ $booking->appointmentextend->end_time ?? '-' }}
                                            </td>
                                            <td>Pay Range</td>
                                            <td class="text-success">{{ $booking->appointmentextend->pay_range ?? '-' }}
                                            </td>
                                            <td>Duration</td>
                                            <td class="text-success">{{ $booking->appointmentextend->Duration ?? '-' }}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Preference</td>
                                            <td class="text-success">{{ $booking->appointmentextend->preferences ?? '-' }}
                                            </td>
                                            <td>status</td>
                                            <td class="text-success">
                                                {{ $booking->appointmentextend->service_status ?? '-' }}</td>
                                            <td>Cancel Time</td>
                                            <td class="text-success">
                                                {{ $booking->appointmentextend->appointment_cancel_time ?? '-' }}</td>
                                            {{-- <td>Expire Time</td>
                                            <td class="text-success">
                                                {{ $booking->appointmentextend->appointment_expire_time ?? '-' }}</td> --}}
                                            <td></td>
                                            <td class="text-success"></td>
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    @endif
                </div>
            </div>
            <div class="col-lg-4" style="height:auto">
                <div class="card" style="height:100%">
                    <div class="card-body">
                        <h4 class="card-warning text-white" style="    padding:5px;">Preferences</h4>
                        <div class="table-responsive">
                            <table class="table bg-fixed">
                                <tbody>
                                    {{-- {{dd($booking->preferences_data)}} --}}
                                    @if (count($booking->preferences_data) == 0)
                                        <td class="text-muted">No data available</td>
                                    @endif
                                    @foreach ($booking->preferences_data as $preferences)
                                        <tr>
                                            {{-- <td>Preferences</td> --}}
                                            <td class="text-success">{{ $preferences->title ?? '-' }}</td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            @php
                $taxAndCharges = json_decode($booking->tax_and_charges);
                // $receiverDetails =  json_decode($booking->receiver_details)
            @endphp
            {{-- {{dd($receiverDetails)}} --}}
            <tr>
                {{-- {{dd($taxAndCharges)}} --}}
                <div class="col-lg-12" style="height:auto">
                    <div class="card" style="height:100%">

                        @if ($is_type == 1)
                            <div class="card-body">
                                <h4 class="card-info text-white" style=" padding:5px;">Service Provider</h4>
                                <div class="table-responsive">
                                    <table class="table bg-fixed">
                                        <tbody>
                                            <tr>
                                                <td>Full Name</td>
                                                <td class="text-success">{{ $booking->service_provider->full_name ?? '-' }}
                                                </td>
                                                <td>email</td>
                                                <td class="text-success">{{ $booking->service_provider->email ?? '-' }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>phone</td>
                                                <td class="text-success">{{ $booking->service_provider->phone ?? '-' }}
                                                </td>
                                                <td>gender</td>
                                                <td class="text-success">{{ $booking->service_provider->gender ?? '-' }}
                                                </td>
                                            <tr>
                                            </tr>
                                            <tr>
                                                <td>age</td>
                                                <td class="text-success">{{ $booking->service_provider->age ?? '-' }}</td>
                                                <td>experience</td>
                                                <td class="text-success">
                                                    {{ $booking->service_provider->experiences ?? '-' }}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        @elseif ($is_type == 2)
                            <div class="card-body">
                                <h4 class="card-info text-white" style=" padding:5px;">Service Provider</h4>
                                <div class="table-responsive">
                                    <table class="table bg-fixed">
                                        <tbody>
                                            <tr>
                                                <td>Full Name</td>
                                                <td class="text-success">
                                                    {{ $booking->service_provider->full_name ?? '-' }}
                                                </td>
                                                <td>email</td>
                                                <td class="text-success">{{ $booking->service_provider->email ?? '-' }}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>phone</td>
                                                <td class="text-success">{{ $booking->service_provider->phone ?? '-' }}
                                                </td>
                                                <td>gender</td>
                                                <td class="text-success">{{ $booking->service_provider->gender ?? '-' }}
                                                </td>
                                            <tr>
                                            </tr>
                                            <tr>
                                                <td>age</td>
                                                <td class="text-success">{{ $booking->service_provider->age ?? '-' }}</td>
                                                <td>experience</td>
                                                <td class="text-success">
                                                    {{ $booking->service_provider->experiences ?? '-' }}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="card-body">
                                <h4 class="card-info text-white" style=" padding:5px;">Customer Detail</h4>
                                <div class="table-responsive">
                                    <table class="table bg-fixed">
                                        <tbody>
                                            <tr>
                                                <td>Full Name</td>
                                                <td class="text-success">{{ $booking->customer->full_name ?? '-' }}</td>
                                                <td>email</td>
                                                <td class="text-success">{{ $booking->customer->email ?? '-' }}</td>
                                            </tr>
                                            <tr>
                                                <td>phone</td>
                                                <td class="text-success">{{ $booking->customer->phone ?? '-' }}</td>
                                                <td>gender</td>
                                                <td class="text-success">{{ $booking->customer->gender ?? '-' }}</td>
                                            <tr>
                                            </tr>
                                            <tr>
                                                <td>age</td>
                                                <td class="text-success">{{ $booking->customer->age ?? '-' }}</td>
                                                <td></td>
                                                <td class="text-success"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        @else
                            <div class="card-body">
                                <h4 class="card-info text-white" style=" padding:5px;">Customer Detail</h4>
                                <div class="table-responsive">
                                    <table class="table bg-fixed">
                                        <tbody>
                                            <tr>
                                                <td>Full Name</td>
                                                <td class="text-success">{{ $booking->customer->full_name ?? '-' }}</td>
                                                <td>email</td>
                                                <td class="text-success">{{ $booking->customer->email ?? '-' }}</td>
                                            </tr>
                                            <tr>
                                                <td>phone</td>
                                                <td class="text-success">{{ $booking->customer->phone ?? '-' }}</td>
                                                <td>gender</td>
                                                <td class="text-success">{{ $booking->customer->gender ?? '-' }}</td>
                                            <tr>
                                            </tr>
                                            <tr>
                                                <td>age</td>
                                                <td class="text-success">{{ $booking->customer->age ?? '-' }}</td>
                                                <td></td>
                                                <td class="text-success"></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </tr>
    @endforeach
    </div>
@endsection
