@extends('layouts.master')
@section('contain')
    <div class="row page-titles"
        style="box-shadow: 0px 0px 14px 3px #cfcfcf; background: linear-gradient(45deg, rgb(241, 234, 234), transparent);border: 1px solid #cdcdcd;">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor"> Appointments</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive ">
                <table id="myTablebooking" class="table table-striped  border">
                    <thead>
                        <tr style="background-color: gray" class="text-white">
                            <th>S.No</th>
                            <th>Customer Name</th>
                            <th>Caregiver Name</th>
                            <th>Booking Type</th>
                            <th>Job Title</th>
                            <th>Job Type</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $num = 1;
                        @endphp
                        @foreach ($bookingData as $Bdata)
                            <tr>
                                <td>{{ $num++ }}</td>
                                <td>{{ $Bdata->customer->full_name ?? '-' }}</td>
                                <td>{{ $Bdata->service_provider->full_name ?? '-' }}</td>
                                    <td>{{ $Bdata->booking_type ?? '-' }}</td>
                                <td>{{ ucwords(strtolower($Bdata->job_title ?? '-')) }}</td>
                                <td>{{ $Bdata->job_type ?? '-' }}</td>
                                {{-- <td>{{ $Bdata->pickup_location }}</td> --}}
                                {{-- <td>{{ $Bdata->pickup_lat }}</td>
                                <td>{{ $Bdata->pickup_lng }}</td>
                                <td>{{ $Bdata->dropoff_location }}</td>
                                <td>{{ $Bdata->dropoff_lat }}</td>
                                <td>{{ $Bdata->dropoff_lng }}</td> --}}
                                {{-- <td>{!! $Bdata->receiver_details !}</td> --}}
                                {{-- <td>{{ $Bdata->description }}</td> --}}
                                {{-- <td>{{ $Bdata->vehicle_category_id }}</td> --}}
                                {{-- <td>
                                    @foreach ($Bdata->tax_and_charges as $key => $value)
                                    <p>{{$key}} : {{$value}}</p>

                                  @endforeach
                                </td> --}}
                                {{-- <td>{{ $Bdata->discounts }}</td>
                                <td>{{ $Bdata->sub_amount }}</td>
                                <td>{{ $Bdata->tax_amount }}</td>
                                <td>{{ $Bdata->charge_amount }}</td>
                                <td>{{ $Bdata->discount_amount }}</td>
                                <td>{{ $Bdata->total_amount }}</td>
                                <td>{{ $Bdata->cancel_amount }}</td>
                                <td>{{ $Bdata->payment_method }}</td>
                                <td>{{ $Bdata->payment_status }}</td> --}}
                                {{-- <td>{{ $Bdata->transaction_reference }}</td>
                                <td>{{ $Bdata->transaction_id }}</td> --}}
                                {{-- <td>{{ $Bdata->paid_from }}</td> --}}
                                {{-- <td>{{ $Bdata->verification_code }}</td> --}}
                                {{-- <td>{{ $Bdata->cancel_reason }}</td>
                                <td>{{ $Bdata->redirect_url }}</td> --}}
                                <td class="text-canter">

                                    @if ($Bdata->user_type != 'admin')
                                        {{-- <a href="{{ Route('customer.edit', $Bdata->id) }}"><i title="Edit" class="far fa-edit" style="font-size:20px"></i></a> --}}
                                        <a
                                            href="{{ Route('getUser.bookings', ['booking' => $Bdata->id, 'is_type' => 2]) }}">
                                            <i title="Booking Info" class="fa fa-info-circle"
                                                style="font-size:33px;color:rgb(71, 181, 196)"></i></a>
                                        {{-- <a title="delete" class="btn" onclick="swalll({{ $Bdata->id }})"><i class="fa fa-trash" style="font-size:20px"></i></a>
                                        <form id="delete-form-{{ $Bdata->id }}"
                                            action="{{ route('customer.delete', $Bdata->id) }}" method="POST" class="d-none">
                                        @csrf
                                        @method('DELETE')
                                    </form> --}}
                                    @else
                                        <i style="text-decoration: underline;">Not Modify</i>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
        $(function() {
            $('#myTablebooking').DataTable({
                columnDefs: [{
                    orderable: false,
                    "targets": 5
                }]
            });
            var table = $('#example').DataTable({
                "columnDefs": [{
                    "visible": false,
                    "targets": 2
                }],
                "order": [
                    [2, 'asc']
                ],
                "displayLength": 25,
                "drawCallback": function(settings) {
                    var api = this.api();
                    var rows = api.rows({
                        page: 'current'
                    }).nodes();
                    var last = null;
                    api.column(2, {
                        page: 'current'
                    }).data().each(function(group, i) {
                        if (last !== group) {
                            $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group +
                                '</td></tr>');
                            last = group;
                        }
                    });
                }
            });
            // Order by the grouping
            $('#example tbody').on('click', 'tr.group', function() {
                var currentOrder = table.order()[0];
                if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                    table.order([2, 'desc']).draw();
                } else {
                    table.order([2, 'asc']).draw();
                }
            });
            // responsive table
            $('#config-table').DataTable({
                responsive: true
            });
            $('#example23').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
            $('.buttons-copy, .buttons-csv, .buttons-print, .buttons-pdf, .buttons-excel').addClass(
                'btn btn-primary me-1');
        });
    </script>
@endsection
