@extends('layouts.master')
@section('contain')
    <!-- row page titles -->
    <!-- ============================================================== -->
    <div class="row page-titles" style="box-shadow: 0px 0px 14px 3px #cfcfcf; background: linear-gradient(45deg, rgb(241, 234, 234), transparent);border: 1px solid #cdcdcd;">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Discounts</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    {{-- <li class="breadcrumb-item active"><a href="{{ Route('Discounts.list') }})">Location Faq</a></li> --}}
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>

                </ol>
                <a href="{{ Route('Discounts.swform') }}"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create New
                    </button></a>
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTablediscount" class="table table-striped border">
                    <thead>
                        <tr style="background-color: gray" class="text-white">
                            <th>S.NO</th>
                            <th>Name</th>
                            <th>Description</th>
                            <th>Value</th>
                            <th>Operation Type</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $num = 1;
                        @endphp
                        @foreach ($discountList as $discount)
                            <tr>
                                <td>{{ $num++ }}</td>
                                <td>{{ $discount->name??'' }}</td>
                                <td>{{ $discount->description??'' }}</td>
                                <td>{{ $discount->value??'' }}</td>
                                <td> @if ( $discount->operation_type== 'percent')
                                    <p class="badge rounded-pill bg-info ms-auto mb-2 mb-md-0">{{ $discount->operation_type}}</p>
                                    @else
                                    <p class="badge rounded-pill bg-success ms-auto mb-2 mb-md-0">{{ $discount->operation_type}}</p>
                                    @endif</td>
                                <td class="text-canter">
                                    <a title="Edit" href="{{ route('Discounts.edit', $discount->id) }}"><i class="far fa-edit" style="font-size:20px"></i></a>
                                    {{-- <a href="{{Route('locInfo.info', $locInfo->id)}}"> <button title="locInfo info" class="btn bg-warning btn-small"><i class="fa-solid fa-info"></i></button></a>
                                </form> --}}
                                <a title="Delete" onclick="swalll({{ $discount->id }})"><i
                                    class="fa fa-trash " aria-hidden="true"></i></a>
                                <form id="delete-form-{{ $discount->id }}"
                                    action="{{ route('Discounts.delete', $discount->id) }}" method="POST" class="d-none">
                                    @csrf
                                    @method('DELETE')
                                </form>

                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
        $(function() {
            $('#myTablediscount').DataTable({
                columnDefs:[
                    {
                        orderable: false,
                        "targets": 5
                    }
                ]
            });
            var table = $('#example').DataTable({
                "columnDefs": [
                    {
                        "visible": false,
                        "targets": 2
                    }
                ],
                "order": [
                    [2, 'asc']
                ],
                "displayLength": 25,
                "drawCallback": function(settings) {
                    var api = this.api();
                    var rows = api.rows({
                        page: 'current'
                    }).nodes();
                    var last = null;
                    api.column(2, {
                        page: 'current'
                    }).data().each(function(group, i) {
                        if (last !== group) {
                            $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group +
                                '</td></tr>');
                            last = group;
                        }
                    });
                }
            });
            // Order by the grouping
            $('#example tbody').on('click', 'tr.group', function() {
                var currentOrder = table.order()[0];
                if (currentOrder[0] === 2 && currentOrder[1] === 'asc') {
                    table.order([2, 'desc']).draw();
                } else {
                    table.order([2, 'asc']).draw();
                }
            });
            // responsive table
            $('#config-table').DataTable({
                responsive: true
            });
            $('#example23').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'copy', 'csv', 'excel', 'pdf', 'print'
                ]
            });
            $('.buttons-copy, .buttons-csv, .buttons-print, .buttons-pdf, .buttons-excel').addClass(
                'btn btn-primary me-1');
        });
    </script>
@endsection
