@extends('layouts.master')
@section('contain')
    <!-- row page titles -->
    <!-- ============================================================== -->
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($Discounts))
                    <h4 class="card-title">Update Discounts</h4>
                @else
                    <h4 class="card-title">Add Discounts</h4>
                @endif
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    {{-- <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li> --}}
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{Route('Discounts.list')}}">Discount</a></li>
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="card">
        <div class="card-body">
            <h4 class="card-title"></h4>
                    @if (isset($Discounts))
                    <form method="POST" Action={{ Route('Discounts.update',$Discounts->id) }}>
                        @csrf
                        @method('PUT')
                    @else
                <form action="{{ Route('Discounts.add')}}" method="POST" enctype="multipart/form-data" data-parsley-validate>
                {{-- <input type="hidden" name="_token" value="QyyyW3Vi5e1leK5XiD5Jl0cT6gnmn2SKmzQKZ7rh"> --}}
                @csrf
                @endif
                <div class="form-row">

                    <div class="col-md-6 mb-3">
                        <label class="font-bold">Discount Name*</label>
                        <input type="text" class="form-control   @error('name') is-invalid @enderror" name="name"  value="{{ $Discounts->name ?? old('name') }}" autocomplete="off" placeholder="Enter name">
                        @error('name')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    <div class="col-md-6 mb-3">
                        <label class="font-bold">Discount Value*</label>
                        <input type="number" name="value"  value="{{ $Discounts->value ?? old('value') }}" class="form-control @error('value') is-invalid @enderror"   placeholder="Enter value" >
                        @error('value')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                    </div>

                    <div class="col-md-12 mb-3">
                        <label class="font-bold">Operation Type*</label>
                        <select class="form-control form-control-line @error('operation_type') is-invalid @enderror" name="operation_type">
                            <option value="amount" >Amount</option>
                            <option value="percent" selected>Percent</option>
                        </select>
                        @error('operation_type')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    {{-- <div class="col-md-6 mb-3">
                        <label class="control-label">Days Range *</label>
                        <input type="number" name="days_range" value="{{ $Discounts->days_range ?? old('days_range') }}" class="form-control @error('days_range') is-invalid @enderror"  autocomplete="off" placeholder="Enter days range"    >
                        @error('days_range')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div> --}}
                    <div class="col-md-12 mb-3">
                        <label class="font-bold">Description</label>
                        <textarea placeholder="Add Description"  class="form-control @error('description') is-invalid @enderror"
                            name="description" rows="5">{{ $Discounts->description ?? old('description')??'' }}</textarea>
                        @error('description')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>

                </div>
                <div class="col-md-12">
                    @if (isset($Discounts))
                            <button type="submit" class="btn btn-warning me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                </button>
            </div>
            </form>
        </div>
    </div>


    <script>
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
@endsection
