@extends('layouts.master')
@section('contain')

{{-- {{dd($Preference)}} --}}
    <!-- row page titles -->
    <!-- ============================================================== -->
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($Preference))
                    <h4 class="card-title">Update Preference</h4>
                @else
                    <h4 class="card-title">Add Preference</h4>
                @endif
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    {{-- <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li> --}}
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{Route('preference.list')}}">Preferences</a></li>
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="card">
        <div class="card-body">
            <h4 class="card-title"></h4>
                    @if (isset($Preference))
                    <form method="POST" Action={{ Route('preference.update',$Preference->id) }} data-parsley-validate>
                        @csrf
                        @method('PUT')
                    @else
                <form action="{{ Route('preference.add')}}" method="POST" enctype="multipart/form-data" data-parsley-validate>
                {{-- <input type="hidden" name="_token" value="QyyyW3Vi5e1leK5XiD5Jl0cT6gnmn2SKmzQKZ7rh"> --}}
                @csrf
                @endif
                <div class="form-row">

                    <div class="col-md-6 mb-3">
                        <label  class="font-bold">Title*</label>
                        <input style="list-style: none;" required data-parsley-required-message="Title field is required" type="text" class="form-control   @error('title') is-invalid @enderror" name="title"  value="{{ $Preference->title ?? old('title') }}" autocomplete="off" placeholder="Enter title">
                        @error('title')
                            <span class="invalid-feedback" role="alert">
                                <p >{{ $message }}</p>
                            </span>
                        @enderror
                    </div>
                    {{-- <div class="col-md-6 mb-3">
                        <label  class="font-bold">Price*</label>
                        <input type='number' name="price" step='0.01' min="0"  value="{{ $Preference->price ?? old('price') }}"  class=" form-control @error('price') is-invalid @enderror"   placeholder="Enter price" >
                        @error('price')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                    </div>

                    <div class="col-md-6 mb-3">
                        <label  class="font-bold">Status*</label>
                        <input  readonly type="text" name="status"  value="{{ $Preference->status ?? old('status') }}" class="form-control @error('status') is-invalid @enderror"   placeholder="Enter status" >
                        @error('status')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    <div class="col-md-6 mb-3">
                        <label  class="font-bold">Unit*</label>
                        <input readonly type="text" name="unit" value="{{ $Preference->unit ?? old('unit') }}" class="form-control @error('unit') is-invalid @enderror"  autocomplete="off" placeholder="Enter days range"    >
                        @error('unit')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div>
                    <div class="col-md-12 mb-3">
                        <label  class="font-bold">Description</label>
                        <textarea readonly placeholder="Add Description"  class="form-control @error('description') is-invalid @enderror"
                            name="description" rows="5">{{ $Preference->description ?? old('description')??'' }}</textarea>
                        @error('description')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                    </div> --}}

                </div>
                <div class="col-md-12">
                    @if (isset($Preference))
                            <button type="submit" class="btn btn-warning me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                </button>
            </div>
            </form>
        </div>
    </div>


    <script>
        var numberMask = IMask(
  document.getElementById('number-mask'),
  {
    mask: Number,
    min: -10000,
    max: 10000,
    thousandsSeparator: ' '
  });
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }

    </script>
@endsection
