@extends('layouts.master')
@section('contain')
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (@$data)
                <h4 class="text-themecolor font-bold">Update Tax and Charge</h4>
            @else
                <h4 class="text-themecolor font-bold">Add Tax and Charge</h4>
            @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('tax&charges.list') }}" class="text-cyan">Tax and Charges</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->

    <div class="row">
        <div class="col-6">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-12 col-xs-12">
                        <!-- Nav tabs -->
                        @if (isset($data))
                            <form method="POST" Action={{ Route('tax&charges.update', $data->id) }}>
                                @csrf
                                @method('PUT')
                            @else
                                <form method="POST" Action={{ Route('tax&charges.add') }}>
                                    @csrf
                        @endif
                        <div class="col-md-12">
                            <label class="font-bold">Name*</label>
                            <input type="text" name="name" value="{{ old('name', @$data['name']) }}"
                                class="form-control @error('name') is-invalid @enderror" placeholder="Enter name">
                            @error('name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Value*</label>
                            <input type="number" name="value" value="{{ old('value', @$data['value']) }}"
                                class="form-control @error('value') is-invalid @enderror" autocomplete="off"
                                placeholder="Enter value" max="100" min="0" step="any"
                                oninput="validity.valid||(value='');" step="any" />
                            @error('value')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Operation Type*</label>
                            <select class="form-control form-control-line" name="operation_type">
                                <option value="amount" {{ @$data->operation_type == 'amount' ? 'selected' : '' }}>Amount
                                </option>
                                <option value="percent" {{ @$data->operation_type == 'percent' ? 'selected' : '' }}>Percent
                                </option>
                            </select>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Category*</label>
                            <select class="form-control form-control-line" name="category">
                                <option value="tax" {{ @$data->category == 'tax' ? 'selected' : '' }}>Tax</option>
                                <option value="miscellaneous" {{ @$data->category == 'Miscellaneous' ? 'selected' : '' }}>
                                    Miscellaneous</option>
                                {{-- <option value="protections_and_coverages" {{ @$data->category == 'Protections And Coverages' ? 'selected' : '' }}>Protections and Coverages</option>
                                <option value="equipment_and_services" {{ @$data->category == 'Equipment And Services' ? 'selected' : '' }}>Equipment and Services</option> --}}
                            </select>
                        </div>
                        {{-- @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif --}}
                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Charge Type*</label>
                            <select class="form-control form-control-line" name="charge_type">
                                <option value="tax" {{ @$data->charge_type == 'tax' ? 'selected' : '' }}>Tax</option>
                                <option value="charge" {{ @$data->charge_type == 'charge' ? 'selected' : '' }}>Charge
                                </option>
                                <option value="fee" {{ @$data->charge_type == 'fee' ? 'selected' : '' }}>Fee</option>
                                <option value="penalty" {{ @$data->charge_type == 'penalty' ? 'selected' : '' }}>Penalty
                                </option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Charge For*</label>
                            <select class="form-control form-control-line" name="charged_for">
                                <option value="customer" {{ @$data->charged_for == 'customer' ? 'selected' : '' }}>Customer
                                </option>
                                <option value="nanny" {{ @$data->charged_for == 'nanny' ? 'selected' : '' }}>Caregiver
                                </option>
                                {{-- <option value="fee" {{ @$data->charged_for == 'fee' ? 'selected' : '' }}>Fee</option>
                                <option value="penalty" {{ @$data->charged_for == 'penalty' ? 'selected' : '' }}>Penalty</option> --}}
                            </select>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Priority*</label>
                            <select class="form-control form-control-line" name="periority">
                                <option value="optional" {{ @$data->periority == 'optional' ? 'selected' : '' }}>Optional
                                </option>
                                <option value="mandatory" {{ @$data->periority == 'mandatory' ? 'selected' : '' }}>
                                    Mandatory
                                </option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Description*</label>
                            <textarea class="form-control  @error('description') is-invalid @enderror" name="description"
                                data-parsley-errors-container="#description-errors" rows="6" placeholder="Enter description">{!! old('description', @$data['description']) !!}</textarea>
                            @error('description')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>

                        <div class="col-md-12 mb-3">
                            @if (isset($data))
                                <button type="submit" class="btn btn-warning me-2 text-white">Update</button>
                            @else
                                <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                            @endif
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- ============================================================== -->
    <!-- End PAge Content -->
    <!-- ============================================================== -->

    <!-- ============================================================== -->
    <!-- End Container fluid  -->
    <!-- ============================================================== -->
@endsection
