<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\NannyController;
use App\Http\Controllers\ContentController;
use App\Http\Controllers\ServiceController;
use App\Http\Controllers\ActivityController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\DiscountsController;
use App\Http\Controllers\UserMediaController;
use App\Http\Controllers\AppoinmentController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\UserDeviceController;
use App\Http\Controllers\PreferencesController;
use App\Http\Controllers\UserProfileController;
use App\Http\Controllers\TaxAndChargesController;
use App\Http\Controllers\helpAndSupportController;
use App\Http\Controllers\AppointmentDisputeController;
use App\Http\Controllers\CustomChangePasswordController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// \Log::debug('luch bhi');
Route::middleware(['auth', 'admin'])->group(function () {

    Route::post('/setDeviceToken', [UserDeviceController::class, 'setDeviceToken']);
    Route::post('/removeDeviceToken', [UserDeviceController::class, 'removeDeviceToken']);
    Route::prefix('Activity')->group(function () {
        Route::get('/activitylist', [ActivityController::class, 'activityList'])->name('activity.list');
        Route::get('/activityCount', [ActivityController::class, 'countNotification'])->name('activity.count');
    });

    Route::prefix('nannies')->group(function () {
        Route::get('/nanniesList', [NannyController::class, 'getNannies'])->name('nannies.list');
        Route::delete('/delete/{nannies}', [NannyController::class, 'deleteNanny'])->name('nannies.delete');
        Route::get('/userinfo/{nanny}/{isView?}/{type?}', [NannyController::class, 'nannyinfo'])->name('nannies.info');
        Route::get('/getbookings/{nannies}', [AppoinmentController::class, 'getUserBooking'])->name('getUser.bookings');
        Route::put('/updateuser/{nannies}', [NannyController::class, 'updateuser'])->name('nannies.update');
        Route::post('/updateuser/{vehicle_id}', [NannyController::class, 'updatNannyVehicle'])->name('update.nannyvehicle');
        Route::get('/editNanny/{nannies}', [NannyController::class, 'editNanny'])->name('nannies.edit');
    });
    Route::prefix('customer')->group(function () {
        Route::get('/customerList', [CustomerController::class, 'getCustomer'])->name('customer.list');
        Route::get('/customerinfo/{customer}', [CustomerController::class, 'customerinfo'])->name('customer.info');
        Route::delete('/delete/{customer}', [CustomerController::class, 'deletCustomer'])->name('customer.delete');
        Route::get('/getbookings/{customer}', [AppoinmentController::class, 'getUserBooking'])->name('getUser.bookings');
        Route::put('/updateuser/{customer}', [CustomerController::class, 'updateuser'])->name('customer.update');
        Route::get('/edituser/{customer}', [CustomerController::class, 'edituser'])->name('customer.edit');
    });
    Route::prefix('booking')->group(function () {
        Route::get('/bookingList', [AppoinmentController::class, 'getAppointments'])->name('booking.list');
        Route::get('/bookinginfo/{booking}', [AppoinmentController::class, 'userinfo'])->name('booking.info');
        Route::delete('/delete/{booking}', [AppoinmentController::class, 'deleteusers'])->name('booking.delete');
        Route::get('/getbookings/{booking}/{is_type?}', [AppoinmentController::class, 'getUserBooking'])->name('getUser.bookings');
        Route::put('/updatebooking/{booking}', [AppoinmentController::class, 'updateuser'])->name('booking.update');
        Route::get('/editbooking/{booking}', [AppoinmentController::class, 'edituser'])->name('booking.edit');
    });
    Route::prefix('content')->group(function () {
        Route::get('/contentlist', [ContentController::class, 'getContains'])->name('content.list');
        Route::get('/contentForm', [ContentController::class, 'containForm'])->name('content.swform');
        Route::Post('/contentAdd', [ContentController::class, 'createContain'])->name('content.add');
        Route::delete('/deleteContent/{content}', [ContentController::class, 'deleteContent'])->name('content.delete');
        Route::get('/editContent/{content}', [ContentController::class, 'editContent'])->name('content.edit');
        Route::put('/updateContent/{content}', [ContentController::class, 'updateContent'])->name('content.update');
    });
    Route::prefix('tax&charges.list')->group(function () {
        Route::get('/tax&charges', [TaxAndChargesController::class, 'getTaxChargesList'])->name('tax&charges.list');
        Route::get('/tax&chargesCreatForm', [TaxAndChargesController::class, 'TaxChargesCreateForm'])->name('tax&charges.creatForm');
        // Route::get('/tax&chargesUpdateForm', [TaxAndChargesController::class, 'TaxChargesForm'])->name('tax&charges.UpdateForm');
        Route::Post('/tax&chargesAdd', [TaxAndChargesController::class, 'createTaxCharges'])->name('tax&charges.add');
        Route::delete('/deletetax&charges/{taxCharges}', [TaxAndChargesController::class, 'deleteTaxCharges'])->name('tax&charges.delete');
        Route::get('/edittax&charges/{taxCharges}', [TaxAndChargesController::class, 'editTaxCharges'])->name('tax&charges.edit');
        Route::put('/updatetax&charges/{taxCharges}', [TaxAndChargesController::class, 'updateTaxCharges'])->name('tax&charges.update');
    });
    Route::prefix('Discounts')->group(function () {
        Route::get('/discountlist', [DiscountsController::class, 'getDiscountsList'])->name('Discounts.list');
        Route::get('/discountForm', [DiscountsController::class, 'DiscountsForm'])->name('Discounts.swform');
        Route::Post('/discountAdd', [DiscountsController::class, 'createDiscounts'])->name('Discounts.add');
        Route::delete('/deletediscount/{Discounts}', [DiscountsController::class, 'deleteDiscounts'])->name('Discounts.delete');
        Route::get('/editdiscount/{Discounts}', [DiscountsController::class, 'editDiscounts'])->name('Discounts.edit');
        Route::put('/updatediscount/{Discounts}', [DiscountsController::class, 'updateDiscounts'])->name('Discounts.update');
    });
    Route::prefix('Category')->group(function () {
        Route::get('/Categorylist', [CategoryController::class, 'CategoryList'])->name('Category.list');
        Route::get('/CategoryForm', [CategoryController::class, 'CategoryForm'])->name('Category.swform');
        Route::Post('/CategoryAdd', [CategoryController::class, 'CategoryAdd'])->name('Category.add');
        Route::delete('/deleteCategory/{Category}', [CategoryController::class, 'deleteCategory'])->name('Category.delete');
        Route::get('/Category/{Category}', [CategoryController::class, 'categoryEdit'])->name('Category.edit');
        Route::put('/Category/{Category}', [CategoryController::class, 'updateCategory'])->name('Category.update');
    });
    Route::prefix('preference')->group(function () {
        Route::get('/preferencelist', [PreferencesController::class, 'preferenceList'])->name('preference.list');
        Route::get('/preferenceForm', [PreferencesController::class, 'preferenceForm'])->name('preference.swform');
        Route::Post('/preferenceAdd', [PreferencesController::class, 'preferenceAdd'])->name('preference.add');
        Route::delete('/deletepreference/{preference}', [PreferencesController::class, 'deletePreference'])->name('preference.delete');
        Route::get('/preference/{preference}', [PreferencesController::class, 'preferenceEdit'])->name('preference.edit');
        Route::put('/preference/{preference}', [PreferencesController::class, 'updatePreference'])->name('preference.update');
    });
    Route::prefix('helpAndSupport')->group(function () {
        Route::get('/helpAndSupport', [helpAndSupportController::class, 'getHelpAndSupport'])->name('helpAndSupport.List');
        Route::delete('/helpAndSupportDelete/{Hsupport}', [helpAndSupportController::class, 'deleteHelpAndSupport'])->name('helpAndSupport.delete');
    });
    Route::prefix('dispute')->group(function () {
        Route::get('/disputeListlist', [AppointmentDisputeController::class, 'disputeList'])->name('disputeList.List');
        Route::delete('/helpAndSupportDelete/{Hsupport}', [AppointmentDisputeController::class, 'deleteHelpAndSupport'])->name('helpAndSupport.delete');
    });
    Route::prefix('userProfile')->group(function () {
        Route::get('/userProfile', [UserProfileController::class, 'userProfileForm'])->name('userProfile.Form');
        Route::put('/userProfileUpdate', [UserProfileController::class, 'userProfileUpdate'])->name('userProfile.Update');
    });
    Route::prefix('userMedia')->group(function () {
        Route::get('/userMedia/{userMedia}', [UserMediaController::class, 'mediaAprove'])->name('userMedia.aprove');
        Route::get('/userMediaDelete/{userMedia}', [UserMediaController::class, 'mediaDelete'])->name('userMedia.delete');
    });
    Route::prefix('updatePassword')->group(function () {

        Route::Put('/updatePassword', [CustomChangePasswordController::class, 'updatePassword'])->name('update.Password');
        Route::get('/update.PasswordForm', [CustomChangePasswordController::class, 'updatePasswordForm'])->name('update.PasswordForm');
    });

    // Route::get('/agreementlist', [AgreementController::class, 'getAgreement'])->name('agreement.list');
    Route::get('/serviceslist', [ServiceController::class, 'getServices'])->name('services.list');
    Route::get('/bookingslist', [AppoinmentController::class, 'getBookings'])->name('bookings.list');
    Route::get('/home', [HomeController::class, 'index'])->name('home');
});

// Route::get('/', function () {
//     return view('welcome');
// });

Auth::routes();
Route::get('/', [LoginController::class, 'showLoginForm'])->name('login.form');
Route::get('/privacy.policy/{slug}', [LoginController::class, 'getPrivacyPolicy'])->name('privacy.policy');
Route::get('/clear', function () {
    \Artisan::call('config:clear');
    \Artisan::call('cache:clear');
    // composer dump-autoload
    \Artisan::call('view:clear');
    \Artisan::call('route:clear');
    return 'clear all';
})->name('LP');


// Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
