<?php $__env->startSection('contain'); ?>
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <?php if(@$data): ?>
                <h4 class="text-themecolor font-bold">Update Tax and Charge</h4>
            <?php else: ?>
                <h4 class="text-themecolor font-bold">Add Tax and Charge</h4>
            <?php endif; ?>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="<?php echo e(url('/')); ?>">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="<?php echo e(Route('tax&charges.list')); ?>" class="text-cyan">Tax and Charges</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End Bread crumb and right sidebar toggle -->
    <!-- ============================================================== -->

    <div class="row">
        <div class="col-6">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-12 col-xs-12">
                        <!-- Nav tabs -->
                        <?php if(isset($data)): ?>
                            <form method="POST" Action=<?php echo e(Route('tax&charges.update', $data->id)); ?>>
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PUT'); ?>
                            <?php else: ?>
                                <form method="POST" Action=<?php echo e(Route('tax&charges.add')); ?>>
                                    <?php echo csrf_field(); ?>
                        <?php endif; ?>
                        <div class="col-md-12">
                            <label class="font-bold">Name*</label>
                            <input type="text" name="name" value="<?php echo e(old('name', @$data['name'])); ?>"
                                class="form-control <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="Enter name">
                            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Value*</label>
                            <input type="number" name="value" value="<?php echo e(old('value', @$data['value'])); ?>"
                                class="form-control <?php $__errorArgs = ['value'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" autocomplete="off"
                                placeholder="Enter value" max="100" min="0" step="any"
                                oninput="validity.valid||(value='');" step="any" />
                            <?php $__errorArgs = ['value'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Operation Type*</label>
                            <select class="form-control form-control-line" name="operation_type">
                                <option value="amount" <?php echo e(@$data->operation_type == 'amount' ? 'selected' : ''); ?>>Amount
                                </option>
                                <option value="percent" <?php echo e(@$data->operation_type == 'percent' ? 'selected' : ''); ?>>Percent
                                </option>
                            </select>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Category*</label>
                            <select class="form-control form-control-line" name="category">
                                <option value="tax" <?php echo e(@$data->category == 'tax' ? 'selected' : ''); ?>>Tax</option>
                                <option value="miscellaneous" <?php echo e(@$data->category == 'Miscellaneous' ? 'selected' : ''); ?>>
                                    Miscellaneous</option>
                                
                            </select>
                        </div>
                        
                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Charge Type*</label>
                            <select class="form-control form-control-line" name="charge_type">
                                <option value="tax" <?php echo e(@$data->charge_type == 'tax' ? 'selected' : ''); ?>>Tax</option>
                                <option value="charge" <?php echo e(@$data->charge_type == 'charge' ? 'selected' : ''); ?>>Charge
                                </option>
                                <option value="fee" <?php echo e(@$data->charge_type == 'fee' ? 'selected' : ''); ?>>Fee</option>
                                <option value="penalty" <?php echo e(@$data->charge_type == 'penalty' ? 'selected' : ''); ?>>Penalty
                                </option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Charge For*</label>
                            <select class="form-control form-control-line" name="charged_for">
                                <option value="customer" <?php echo e(@$data->charged_for == 'customer' ? 'selected' : ''); ?>>Customer
                                </option>
                                <option value="nanny" <?php echo e(@$data->charged_for == 'nanny' ? 'selected' : ''); ?>>Caregiver
                                </option>
                                
                            </select>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Priority*</label>
                            <select class="form-control form-control-line" name="periority">
                                <option value="optional" <?php echo e(@$data->periority == 'optional' ? 'selected' : ''); ?>>Optional
                                </option>
                                <option value="mandatory" <?php echo e(@$data->periority == 'mandatory' ? 'selected' : ''); ?>>
                                    Mandatory
                                </option>
                            </select>
                        </div>
                        <div class="col-md-12 mb-3">
                            <label class="font-bold">Description*</label>
                            <textarea class="form-control  <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="description"
                                data-parsley-errors-container="#description-errors" rows="6" placeholder="Enter description"><?php echo old('description', @$data['description']); ?></textarea>
                            <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="invalid-feedback" role="alert">
                                    <strong><?php echo e($message); ?></strong>
                                </span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <?php if(isset($data)): ?>
                                <button type="submit" class="btn btn-warning me-2 text-white">Update</button>
                            <?php else: ?>
                                <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                            <?php endif; ?>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- ============================================================== -->
    <!-- End PAge Content -->
    <!-- ============================================================== -->

    <!-- ============================================================== -->
    <!-- End Container fluid  -->
    <!-- ============================================================== -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\villagenanny_admin_2023\resources\views/TaxAndCharges/TaxAndChargesCreate.blade.php ENDPATH**/ ?>